Index: springapp/src/main/java/mk/profesori/springapp/Controller/PublicController.java
===================================================================
--- springapp/src/main/java/mk/profesori/springapp/Controller/PublicController.java	(revision 702ca779afcdb48bcc15202ffc07dfb4be2efebd)
+++ springapp/src/main/java/mk/profesori/springapp/Controller/PublicController.java	(revision 2fcbde46bc3f0a4c5537847f541c020a00ec9b29)
@@ -23,5 +23,5 @@
 @RestController
 @RequestMapping("/public")
-@CrossOrigin(origins = { "http://192.168.0.17:3000", "http://192.168.0.24:3000" })
+@CrossOrigin(origins = { "http://192.168.0.19:3000", "http://192.168.0.24:3000" })
 public class PublicController {
 
Index: springapp/src/main/java/mk/profesori/springapp/Controller/SecureController.java
===================================================================
--- springapp/src/main/java/mk/profesori/springapp/Controller/SecureController.java	(revision 702ca779afcdb48bcc15202ffc07dfb4be2efebd)
+++ springapp/src/main/java/mk/profesori/springapp/Controller/SecureController.java	(revision 2fcbde46bc3f0a4c5537847f541c020a00ec9b29)
@@ -25,5 +25,5 @@
 @RestController
 @RequestMapping("/secure")
-@CrossOrigin(origins = { "http://192.168.0.17:3000", "http://192.168.0.24:3000" })
+@CrossOrigin(origins = { "http://192.168.0.19:3000", "http://192.168.0.24:3000" })
 public class SecureController {
 
Index: springapp/src/main/java/mk/profesori/springapp/Security/SecurityConfiguration.java
===================================================================
--- springapp/src/main/java/mk/profesori/springapp/Security/SecurityConfiguration.java	(revision 702ca779afcdb48bcc15202ffc07dfb4be2efebd)
+++ springapp/src/main/java/mk/profesori/springapp/Security/SecurityConfiguration.java	(revision 2fcbde46bc3f0a4c5537847f541c020a00ec9b29)
@@ -37,5 +37,5 @@
             @Override
             public void addCorsMappings(CorsRegistry registry) {
-                registry.addMapping("/**").allowedOrigins("http://192.168.0.17:3000", "http://192.168.0.24:3000")
+                registry.addMapping("/**").allowedOrigins("http://192.168.0.19:3000", "http://192.168.0.24:3000")
                         .allowCredentials(true);
             }
Index: springapp/src/main/java/mk/profesori/springapp/Service/RegistrationService.java
===================================================================
--- springapp/src/main/java/mk/profesori/springapp/Service/RegistrationService.java	(revision 702ca779afcdb48bcc15202ffc07dfb4be2efebd)
+++ springapp/src/main/java/mk/profesori/springapp/Service/RegistrationService.java	(revision 2fcbde46bc3f0a4c5537847f541c020a00ec9b29)
@@ -45,5 +45,5 @@
                 String tokenToResend = customUserDetailsService
                         .createToken(userRepository.findByEmail(request.getEmail()).get());
-                String link = "http://192.168.0.17:8080/registration/confirm?token=" + tokenToResend;
+                String link = "http://192.168.0.19:8080/registration/confirm?token=" + tokenToResend;
                 emailSender.send(request.getEmail(), emailSender.buildEmail(request.getUsername(), link));
                 return tokenToResend;
@@ -66,5 +66,5 @@
                         UserRole.REGULAR));
 
-        String link = "http://192.168.0.17:8080/registration/confirm?token=" + token;
+        String link = "http://192.168.0.19:8080/registration/confirm?token=" + token;
 
         emailSender.send(request.getEmail(), emailSender.buildEmail(request.getUsername(), link));
Index: springapp/src/main/resources/application.properties
===================================================================
--- springapp/src/main/resources/application.properties	(revision 702ca779afcdb48bcc15202ffc07dfb4be2efebd)
+++ springapp/src/main/resources/application.properties	(revision 2fcbde46bc3f0a4c5537847f541c020a00ec9b29)
@@ -7,5 +7,5 @@
 spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQLDialect
 spring.jpa.properties.hibernate.format_sql=true
-server.address=192.168.0.17
+server.address=192.168.0.19
 spring.mail.host=192.168.0.24
 spring.mail.username=mailuser
